MP4v2

Public Attributes | List of all members
MP4FileProvider_s Struct Reference
MP4v2 File I/O

Structure of functions implementing custom file provider. More...

`#include <file.h>`

## Public Attributes
void *(* | open )(const char *name, MP4FileMode mode)
int(* | seek )(void *handle, int64_t pos)
int(* | read )(void *handle, void *buffer, int64_t size, int64_t *nin, int64_t reserved)
int(* | write )(void *handle, const void *buffer, int64_t size, int64_t *nout, int64_t reserved)
int(* | close )(void *handle)

## Detailed Description

Structure of functions implementing custom file provider.

Deprecated:
  The file provider API is deprecated since MP4v2 2.1.0. Please use MP4IOCallbacks instead.

Except for open, all the functions must return 0 upon success or a non-zero value to indicate failure. The open function must return a pointer or handle which represents the open file, otherwise NULL.

The reserved argument is currently always 0 and should be ignored.

See also
  MP4IOCallbacks